Bug 876928 - Review Request: perl-Math-PlanePath - Points on a path through the 2-D plane
Review Request: perl-Math-PlanePath - Points on a path through the 2-D plane
Status: CLOSED DUPLICATE of bug 907036
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On: 877765 890833
Blocks: 890839
  Show dependency treegraph
 
Reported: 2012-11-15 05:28 EST by Michal Ingeli
Modified: 2013-03-07 18:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-02 14:49:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Ingeli 2012-11-15 05:28:47 EST
Spec URL: http://v3.sk/~xyzz/rpm/slic3r/f17/perl-Math-PlanePath.spec
SRPM URL: http://v3.sk/~xyzz/rpm/slic3r/f17/perl-Math-PlanePath-92-1.fc17.src.rpm
Description: Base class for some mathematical paths which map an integer position 
$n to and from coordinates $x,$y in the 2D plane.
Fedora Account System Username: ksyz
Comment 1 Michal Ingeli 2012-11-15 05:34:06 EST
Builds in mock. rpmlint silent. Depends on perl(Math::Libm), that is not in yet.
Comment 2 Miro Hrončok 2012-11-20 14:59:06 EST
Delete BuildRoot and %clean section.

%defattr(-,root,root,-) has no effect
Comment 3 Michal Ingeli 2012-11-21 05:30:20 EST
Spec URL: http://v3.sk/~xyzz/rpm/slic3r/f17/perl-Math-PlanePath.spec
SRPM URL: http://v3.sk/~xyzz/rpm/slic3r/f17/perl-Math-PlanePath-92-2.fc17.src.rpm

(In reply to comment #2)
> Delete BuildRoot and %clean section.
> 
> %defattr(-,root,root,-) has no effect

Removed.

I also added some BR to pass more tests. But some modules are still missing in fedora:

Number::Fraction
Data::Float
Math::BigInt::Lite

Math::PlanePath module can handle those types, so they are tested, but not needed.

It builds in f17 mock. Koji build will have to wait until Math::Libm is in.
Comment 4 Miro Hrončok 2012-11-24 13:05:15 EST
Using perl(Math::Libm) from bug 877765

Installation requires perl(Math::NumSeq) and that is not yet avilable AFAIK.

You should drop rm -rf $RPM_BUILD_ROOT in the %install section, it is no longer needed.


[+] OK
[.] OK, not applicable
[X] needs work


[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

Checking: perl-Math-PlanePath-92-2.fc17.src.rpm
1 packages and 1 specfiles checked; 0 errors, 0 warnings.
Checking: perl-Math-PlanePath-92-2.fc17.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv3+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

http://www.cpan.org/authors/id/K/KR/KRYDE/Math-PlanePath-92.tar.gz :
  CHECKSUM(SHA256) this package     : 35761c7de4bf6ceed0a02ca8c7e5f52d8b1a312d0b5847ce9c5cba394adc3e91
  CHECKSUM(SHA256) upstream package : 35761c7de4bf6ceed0a02ca8c7e5f52d8b1a312d0b5847ce9c5cba394adc3e91

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[.] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    It builds when local perl-Math-Libm is provided.
    
[ ] SHOULD: The package should compile and build into binary rpms on all supported architectures.
    Didn't test.
    
[ ] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
    Didn't test.

[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

I'm not sure, if I can APPROVE a package, if it is still waiting for a BR, but otherwise OK.
Comment 5 Mario Blättermann 2012-11-24 13:55:49 EST
(In reply to comment #4)
> Using perl(Math::Libm) from bug 877765
> 
> Installation requires perl(Math::NumSeq) and that is not yet avilable AFAIK.
> 
> You should drop rm -rf $RPM_BUILD_ROOT in the %install section, it is no
> longer needed.
> ...
> I'm not sure, if I can APPROVE a package, if it is still waiting for a BR,
> but otherwise OK.

Just wait until the packager has submitted a new spec file. Your formal review has been done already, so that you can quickly approve the package then. BTW, it is useful in most cases to run rpmlint over all the files (spec, srpm, rpm) and post the output here. Especially after some changes in the spec the rpmlint output could also change.

Moreover, once you want to review a package, change the following line above:

Assigned To: 	
Nobody's working on this, feel free to take it (edit) (take)

and change the "Status:" tag from "NEW" to "ASSIGNED".
Comment 6 Miro Hrončok 2012-11-24 15:17:40 EST
Got it, thanks.
Comment 7 Miro Hrončok 2013-01-16 23:15:59 EST
Deps are not yet ready, but thing has moved in this scope, so please:

Update to the last version
Replace obsoleted PERL_INSTALL_ROOT with DESTDIR
Remove find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \; (it is done automatically)
Comment 8 Miro Hrončok 2013-01-17 10:36:15 EST
Deps are ready.
Comment 9 Miro Hrončok 2013-01-21 08:44:48 EST
Michal, are you still interested in this?
Comment 10 Miro Hrončok 2013-01-24 05:53:29 EST
I would like to create this package, if you are not interested. It has been a month since my formal review without any response from you. So this is a stalled review and a response is needed soon. If you don't response in a week, I am closing this and starting over.
Comment 11 Miro Hrončok 2013-02-02 14:49:33 EST

*** This bug has been marked as a duplicate of bug 907036 ***

Note You need to log in before you can comment on or make changes to this bug.